# Example script
# converts nib-files to gmodel-files and modifies the generated gmodel files
#
# OpenStep: Convert nib to gmodel files
# - temporary link images into nib files as needed
# - convert nib files to gmodel files
# - call 'Convertgmodels.sh' to correct gmodel files (class names etc.)
# - call 'Convertgmodels1.sh' to convert special characters
#
# Author:   Georg Fleischmann
# modified: 2003-03-30
#

PROJECTS=/LocalDeveloper/Projects
SOURCE=$PROJECTS/Cenon/Source

cd $SOURCE

#
# convert nib to gmodel for all given languages
#
for lng in English German
do

    for nib in FILENAME1 FILENAME2 FILENAME3
    do
        echo $lng.lproj/$nib.nib
        nib2gmodel $lng.lproj/$nib.nib $lng.lproj/$nib.gmodel
    done

    # Subproject
    for nib in SUBPROJECTNAME FILENAME1 FILENAME2 FILENAME3
    do
        echo SUBPROJECTNAME.subproj/$lng.lproj/$nib.nib
        nib2gmodel SUBPROJECTNAME.subproj/$lng.lproj/$nib.nib SUBPROJECTNAME.subproj/$lng.lproj/$nib.gmodel
    done

done

#
# modify dictionary entries of generated gmodel files
#
echo
echo Correct entries from property list
echo
cd $SOURCE
convertgmodels $SOURCE/nib2gmodel.plist

#
# convert special characters
#
echo
echo Convert special characters
echo
cd $SOURCE
./nib2gmodel_chars.sh $SOURCE
